## boost1.49 1.49.0

=== debian/changelog ===
boost1.49 (1.49.0-3.1ubuntu1) quantal; urgency=low

  * Merge with Debian testing.  Remaining changes:
    - Drop libboost-mpi, libboost-mpi-python, and libboost-graph-parallel (and
      related -dev packages): we don't want to pull all of the mpi packages
      into main.  These are provided in a separate boost-mpi-source1.49
      package
    - Drop libboost1.49-all-dev and provide from boost-mpi-source1.49
    - Adjust debian/rules and debian/control

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 14 Aug 2012 12:02:28 +0100

boost1.49 (1.49.0-3.1) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * CVE-2012-2677_trac-78326.patch: Fixes buffer overflow
    Closes: #677197

 -- Luk Claes <luk@debian.org>  Sat, 23 Jun 2012 08:41:48 +0200

boost1.49 (1.49.0-3ubuntu1) quantal; urgency=low

  * Merge with Debian testing.  Remaining Ubuntu changes:
    - Drop libboost-mpi, libboost-mpi-python, and libboost-graph-parallel (and
      related -dev packages): we don't want to pull all of the mpi packages
      into main.  These are provided in a separate boost-mpi-source1.49
      package
    - Drop libboost1.49-all-dev and provide from boost-mpi-source1.49
    - Adjust debian/rules and debian/control

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 16 May 2012 19:49:06 +0100

boost1.49 (1.49.0-3) unstable; urgency=low

  * gcc4.7_trac-6790.patch:
  * gcc4.7_trac-6854.patch:
  * gcc4.7_trac-6755.patch:
  * gcc4.7_trac-76970.patch:
  * gcc4.7_trac-6331.patch:
  * gcc4.7_trac-6431.patch:
  * gcc4.7_trac-6852.patch: New.  Fixes for gcc 4.7 from upstream.
    Closes: #671409

 -- Steve M. Robbins <smr@debian.org>  Sat, 05 May 2012 00:31:50 -0500

boost1.49 (1.49.0-2ubuntu1) quantal; urgency=low

  * Merge with Debian testing.  Remaining Ubuntu changes:
    - Drop libboost-mpi, libboost-mpi-python, and libboost-graph-parallel (and
      related -dev packages): we don't want to pull all of the mpi packages
      into main.  These are provided in a separate boost-mpi-source1.46
      package
    - Drop libboost1.46-all-dev and provide from boost-mpi-source1.46
    - Adjust debian/rules and debian/control

 -- Scott Kitterman <scott@kitterman.com>  Thu, 26 Apr 2012 15:54:55 -0400

boost1.49 (1.49.0-2) unstable; urgency=low

  * control: Add missing -dev package Conflicts for: chrono, locale,
    random, and timer.  Closes: #666120, 666239.

 -- Steve M. Robbins <smr@debian.org>  Thu, 29 Mar 2012 21:30:22 -0500

boost1.49 (1.49.0-1) unstable; urgency=low

  * New upstream.

 -- Steve M. Robbins <smr@debian.org>  Sun, 26 Feb 2012 00:31:44 -0600

boost1.49 (1.49.0rc1-1) UNRELEASED; urgency=low

  * Upstream Release Candidate.

  * patches/fusion-push-front-broken.patch: Remove.  Applied upstream.

 -- Steve M. Robbins <smr@debian.org>  Mon, 20 Feb 2012 15:43:41 -0600

boost1.49 (1.49.0beta1-1) UNRELEASED; urgency=low

  * Upstream Beta 1 Release Candidate.
  
  * patches/foreach.patch:
  * patches/sh4.patch:
  * patches/kfreebsd-thread.patch:
  * patches/math-define-l.patch:
  * patches/gcc-4.7-threading-detection.patch: Removed.  Applied upstream.

 -- Steve M. Robbins <smr@debian.org>  Sat, 28 Jan 2012 21:31:41 -0600

boost1.48 (1.48.0-3) unstable; urgency=low

  * patches/fusion-push-front-broken.patch: New.  Upstream patch that
    fixes #include <boost/fusion/algorithm/transformation/push_front.hpp>.
    Closes: #653812.

  * patches/math-define-l.patch: New.  Rename class template parameter
    "L".  Closes: #653764.

  * patches/gcc-4.7-threading-detection.patch: New, from upstream.  Enable
    gcc 4.7 threading detection.  Closes: #654425.

  * patches/mpi-allocator-c++0x.patch: New.  Workaround to enable using
    Boost.MPI with -std=c++0x mode on gcc 4.6.  Fix will be in gcc 4.6.3
    and 4.7.  Closes: #639862.

 -- Steve M. Robbins <smr@debian.org>  Wed, 04 Jan 2012 23:50:52 -0600

boost1.48 (1.48.0-2) unstable; urgency=low

  * patches/foreach.patch: New.  Upstream patch to fix BOOST_FOREACH build
    issues.  Closes: #652677.

 -- Steve M. Robbins <smr@debian.org>  Tue, 20 Dec 2011 00:03:03 -0600

boost1.48 (1.48.0-1) unstable; urgency=low

  * New upstream.  Closes: #634245.
    - patches/changeset_71050.diff:
    - patches/date_time_date_formatting_hpp.patch:
    - patches/fusion-name-qual.patch:
    - patches/mips-asm.patch:
    - patches/openssl-no-ssl2.patch:
    - patches/python2.5-elementtree.patch: Removed.  Applied upstream.
  
  * New library packages for: chrono, locale, and timer.
  
  * patches/pythonid.patch: New.  Fix jam option --python-buildid.
  
  * patches/hurd-ellint_rd.patch:
  * patches/hurd-execution_monitor.patch: Remove.  Pino Toscano advised
    that the hurd no longer needs these.

 -- Steve M. Robbins <smr@debian.org>  Sun, 27 Nov 2011 22:18:35 -0600

boost1.46 (1.46.1-7) unstable; urgency=low

  * control: Fix ungrammatical description for iostreams packages.
    Closes: #633865.
  
  * rules: Dump boostrap log file if bootstrapping fails.
  
  * libboost-doc.README.Debian: Remove reference to packages bjam and
    boost-build; now only need boostX.YZ-dev.  Closes: #630529.

 -- Steve M. Robbins <smr@debian.org>  Wed, 17 Aug 2011 23:18:52 -0500

boost1.46 (1.46.1-6) unstable; urgency=low

  * control(libboost-mpi-python1.46.1, libboost-python1.46.1): Suggests a
    python interpreter.  Closes: #620775.

 -- Steve M. Robbins <smr@debian.org>  Sun, 12 Jun 2011 00:37:42 -0500

boost1.46 (1.46.1-5) unstable; urgency=low

  * patches/openssl-no-ssl2.patch.  New (thanks, Lubo~ Dole~el).  Throw
    exception if sslv2 context requested but OPENSSL_NO_SSL2 defined.
    Closes: #621402, #622027, #622070.

 -- Steve M. Robbins <smr@debian.org>  Mon, 09 May 2011 21:34:12 -0500

boost1.46 (1.46.1-4) unstable; urgency=low

  * NEWS.Debian: fix format.

  * patches/changeset_71050.diff: Fix build with Python 3.2.  Closes:
    #622021

  * rules: Switch from dh_pysupport to dh_python2 and dh_python3.

