=== debian/control ===
Source: boost1.49
Homepage: http://www.boost.org/
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Boost Team <pkg-boost-devel@lists.alioth.debian.org>
Uploaders: Steve M. Robbins <smr@debian.org>, Domenico Andreoli <cavok@debian.org>
Build-Depends: debhelper (>= 8), 
 zlib1g-dev, libbz2-dev, libicu-dev,
 bison, flex, docbook-to-man, help2man, xsltproc, doxygen, 
 python, python-all-dev, 
 python3, python3-all-dev (>= 3.1)
Build-Conflicts: libopenmpi-dev (= 1.3.2-2)
Vcs-Browser: http://svn.debian.org/wsvn/pkg-boost/boost/trunk/
Vcs-Svn: svn://svn.debian.org/svn/pkg-boost/boost/trunk
Standards-Version: 3.9.2

Package: libboost1.49-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends}, ${shlibs:Depends}, libboost1.49-dev (= ${binary:Version})
Conflicts: libboost1.42-dbg, libboost1.46-dbg, libboost1.48-dbg
Description: Boost C++ Libraries with debug symbols
 This package forms part of the Boost C++ Libraries collection.
 .
 These libraries are built with debug symbols. They are useful to debug
 programs which use Boost. These must be used also at build/link time.

Package: libboost1.49-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}, libstdc++6-4.4-dev | libstdc++-dev
Suggests: libboost1.49-doc,
 libboost-chrono1.49-dev,
 libboost-date-time1.49-dev,
 libboost-filesystem1.49-dev,
 libboost-graph-parallel1.49-dev,
 libboost-graph1.49-dev,
 libboost-iostreams1.49-dev,
 libboost-locale1.49-dev,
 libboost-math1.49-dev,
 libboost-mpi1.49-dev,
 libboost-program-options1.49-dev,
 libboost-python1.49-dev,
 libboost-random1.49-dev,
 libboost-regex1.49-dev,
 libboost-serialization1.49-dev,
 libboost-signals1.49-dev,
 libboost-system1.49-dev,
 libboost-test1.49-dev,
 libboost-thread1.49-dev,
 libboost-timer1.49-dev,
 libboost-wave1.49-dev,
 xsltproc,
 doxygen,
 docbook-xml (>= 4.2),
 docbook-xsl (>= 1.73.2),
 default-jdk (>= 1.4),
 fop (>= 0.94)
Conflicts: bjam, boost-build, libboost1.42-dev, libboost1.46-dev, libboost1.48-dev
Replaces: bjam, boost-build
Description: Boost C++ Libraries development files
 The Boost web site provides free, peer-reviewed, portable C++ source
 libraries. The emphasis is on libraries which work well with the C++
 Standard Library. One goal is to establish "existing practice" and
 provide reference implementations so that the Boost libraries are
 suitable for eventual standardization. Some of the libraries have
 already been proposed for inclusion in the C++ Standards Committee's
 upcoming C++ Standard Library Technical Report.
 .
 This package provides headers and the auxiliary tools bjam, Boost.Build,
 bcp, inspect, boostbook and quickbook.
 .
 For the following subprojects separate packages exist: chrono, date-time,
 filesystem, graph, iostreams, locale, math, mpi, program_options, python,
 regex, serialization, signals, system, test, thread, timer, and wave.

Package: libboost1.49-doc
Homepage: http://www.boost.org/libs/
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: libboost1.49-dev (>= ${source:Version})
Conflicts: libboost1.42-doc, libboost1.46-doc, libboost1.48-doc
Description: Boost.org libraries documentation
 The Boost web site provides free, peer-reviewed, portable C++ source
 libraries. The emphasis is on libraries which work well with the C++
 Standard Library. One goal is to establish "existing practice" and
 provide reference implementations so that the Boost libraries are
 suitable for eventual standardization. Some of the libraries have
 already been proposed for inclusion in the C++ Standards Committee's
 upcoming C++ Standard Library Technical Report.
 .
 This is documentation for the boost libraries in HTML format.
 Some pages point to header files provided in the corresponding -dev package,
 so it is suggested to install the latter as well.

Package: libboost-chrono1.49.0
Homepage: http://www.boost.org/libs/chrono/
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: C++ representation of time duration, time point, and clocks
 This package forms part of the Boost C++ Libraries collection.
 .
 The Boost.Chrono library provides:
 .
  * A means to represent time durations: managed by the generic
 duration class . Examples of time durations include days, minutes,
 seconds and nanoseconds, which can be represented with a fixed number
 of clock ticks per unit. All of these units of time duration are
 united with a generic interface by the duration facility.
  * A type for representing points in time: time_point. A time_point
 represents an epoch plus or minus a duration. The library leaves
 epochs unspecified. A time_point is associated with a clock.
  * Several clocks, some of which may not be available on a
 particular platform: system_clock, steady_clock and
 high_resolution_clock. A clock is a pairing of a time_point and
 duration, and a function which returns a time_point representing now.
 .
 To make the timing facilities more generally useful, Boost.Chrono
 provides a number of clocks that are thin wrappers around the
 operating system's time APIs, thereby allowing the extraction of wall
 clock time, user CPU time, system CPU time spent by the process:
 .
  * process_real_cpu_clock, captures wall clock CPU time spent by the
 current process.  
  * process_user_cpu_clock, captures user-CPU time
 spent by the current process.  
  * process_system_cpu_clock, captures
 system-CPU time spent by the current process.  
  * A tuple-like class
 process_cpu_clock, that captures real, user-CPU, and system-CPU
 process times together.
  * A thread_clock thread steady clock giving
 the time spent by the current thread (when supported by a platform).
 .
 Lastly, Boost.Chrono includes typeof registration for duration and
 time_point to permit using emulated auto with C++03 compilers.

Package: libboost-chrono1.49-dev
Homepage: http://www.boost.org/libs/chrono/
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
 libboost1.49-dev (= ${binary:Version}),
 libboost-chrono1.49.0 (= ${binary:Version})
Conflicts: libboost-chrono1.48-dev
Description: C++ representation of time duration, time point, and clocks
 This package forms part of the Boost C++ Libraries collection.
 .
 The Boost.Chrono library provides:
 .
  * A means to represent time durations: managed by the generic
 duration class . Examples of time durations include days, minutes,
 seconds and nanoseconds, which can be represented with a fixed number
 of clock ticks per unit. All of these units of time duration are
 united with a generic interface by the duration facility.
  * A type for representing points in time: time_point. A time_point
 represents an epoch plus or minus a duration. The library leaves
 epochs unspecified. A time_point is associated with a clock.
  * Several clocks, some of which may not be available on a
 particular platform: system_clock, steady_clock and
 high_resolution_clock. A clock is a pairing of a time_point and
 duration, and a function which returns a time_point representing now.
 .
 To make the timing facilities more generally useful, Boost.Chrono
 provides a number of clocks that are thin wrappers around the
 operating system's time APIs, thereby allowing the extraction of wall
 clock time, user CPU time, system CPU time spent by the process:
 .
  * process_real_cpu_clock, captures wall clock CPU time spent by the
 current process.  
  * process_user_cpu_clock, captures user-CPU time
 spent by the current process.  
  * process_system_cpu_clock, captures
 system-CPU time spent by the current process.  
  * A tuple-like class
 process_cpu_clock, that captures real, user-CPU, and system-CPU
 process times together.
  * A thread_clock thread steady clock giving
 the time spent by the current thread (when supported by a platform).
 .
 Lastly, Boost.Chrono includes typeof registration for duration and
 time_point to permit using emulated auto with C++03 compilers.

Package: libboost-date-time1.49.0
Homepage: http://www.boost.org/libs/date_time/
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: set of date-time libraries based on generic programming concepts
 This package forms part of the Boost C++ Libraries collection.
 .
 These libraries are intended to make programming with dates and times
 almost as simple and natural as programming with strings and integers.

Package: libboost-date-time1.49-dev
Homepage: http://www.boost.org/libs/date_time/
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
 libboost1.49-dev (= ${binary:Version}),
 libboost-date-time1.49.0 (= ${binary:Version}),
 libboost-serialization1.49-dev (= ${binary:Version})
Conflicts: libboost-date-time1.42-dev, libboost-date-time1.46-dev, libboost-date-time1.48-dev
Description: set of date-time libraries based on generic programming concepts
 This package forms part of the Boost C++ Libraries collection.
 .
 These libraries are intended to make programming with dates and times
 almost as simple and natural as programming with strings and integers.

Package: libboost-filesystem1.49.0
Homepage: http://boost.org/libs/filesystem/
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: filesystem operations (portable paths, iteration over directories, etc) in C++
 This package forms part of the Boost C++ Libraries collection.
 .
 The Boost Filesystem Library provides portable facilities to query and 
 manipulate paths, files, and directories.  The goal is to
 facilitate portable script-like operations from within C++ programs.

Package: libboost-filesystem1.49-dev
Homepage: http://boost.org/libs/filesystem/
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
 libboost1.49-dev (= ${binary:Version}),
 libboost-filesystem1.49.0 (= ${binary:Version}),
 libboost-system1.49-dev (= ${binary:Version})
Conflicts: libboost-filesystem1.42-dev, libboost-filesystem1.46-dev, libboost-filesystem1.48-dev
Description: filesystem operations (portable paths, iteration over directories, etc) in C++
 This package forms part of the Boost C++ Libraries collection.
 .
 The Boost Filesystem Library provides portable facilities to query and 
 manipulate paths, files, and directories.  The goal is to
 facilitate portable script-like operations from within C++ programs.

Package: libboost-graph1.49.0
Homepage: http://www.boost.org/libs/graph/
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: graphviz
Description: generic graph components and algorithms in C++
 This package forms part of the Boost C++ Libraries collection.
 .
 Graphs are mathematical abstractions that are useful for solving
 many types of problems in computer science. Consequently, these
 abstractions must also be represented in computer programs. A
 standardized generic interface for traversing graphs is of utmost
 importance to encourage reuse of graph algorithms and data structures.

Package: libboost-graph1.49-dev
Homepage: http://www.boost.org/libs/graph/
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
 libboost1.49-dev (= ${binary:Version}),
 libboost-serialization1.49-dev (= ${binary:Version}),
 libboost-test1.49-dev (= ${binary:Version})
Recommends: libboost-graph1.49.0 (= ${binary:Version})
Conflicts: libboost-graph1.42-dev, libboost-graph1.46-dev, libboost-graph1.48-dev
Description: generic graph components and algorithms in C++
 This package forms part of the Boost C++ Libraries collection.
 .
 Graphs are mathematical abstractions that are useful for solving
 many types of problems in computer science. Consequently, these
 abstractions must also be represented in computer programs. A
 standardized generic interface for traversing graphs is of utmost
 importance to encourage reuse of graph algorithms and data structures.

Package: libboost-iostreams1.49.0
Homepage: http://www.boost.org/libs/iostreams/
